List HAR files (paginated)
GET
/harsContract
Parameter | Value |
|---|---|
| Section | files |
| Authentication | CookieAuth |
| Consumes | not required |
| Produces | application/json |
Parameters
5 parameters
Name | Location | Required | Type | Description |
|---|---|---|---|---|
| input | query | no | string | Search by name, MIME type, or numeric ID |
| count | query | yes | integer | Page size |
| page | query | yes | integer | Page number, starting at 1 |
| key | query | yes | string | Sort field |
| order | query | yes | enum(asc, desc) | Sort direction |
"asc"
Responses
4 responses
Status | Description | Type |
|---|---|---|
200 | Successful response | object |
400 | Invalid query parameters | object |
401 | Unauthorized | object |
500 | Internal server error | object |
{ "cursor": { "count": 0, "currentPage": 0, "totalPages": 0, "totalRows": 0 }, "data": [ { "category": "<string>", "createdAt": "<string>", "first_seen_at": "<string>", "id": 0, "issuer": { "agreementAccepted": true, "createdAt": "<string>", "deletedAt": "<string>", "email": "<string>", "group": { "createdAt": "<string>", "deletedAt": "<string>", "id": 0, "issuer": {}, "issuerID": 0, "name": "<string>", "permissions": [ {} ], "updatedAt": "<string>", "users": [ {} ] }, "groupID": 0, "id": 0, "isActive": true, "isRequiredToSetPassword": true, "lastLogin": "<string>", "notificationsReadAt": "<string>", "passwordLength": 0, "realName": "<string>", "updatedAt": "<string>" }, "issuerID": 0, "md5": "<string>", "mime": "<string>", "name": "<string>", "original_sha256": "<string>", "sha1": "<string>", "sha256": "<string>", "sha3_384": "<string>", "size": 0, "source": "<string>", "syncReady": true, "tags": "<string>", "updatedAt": "<string>" } ] }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }